<?php

namespace UnicaenDbAnonym\Service;

use Psr\Container\ContainerInterface;

class DbServiceFactory
{
    /**
     * @param \Psr\Container\ContainerInterface $container
     * @return DbService
     * @throws \Psr\Container\ContainerExceptionInterface
     * @throws \Psr\Container\NotFoundExceptionInterface
     * @throws \Doctrine\DBAL\Exception
     */
    public function __invoke(ContainerInterface $container): DbService
    {
        /** @var \Doctrine\ORM\EntityManager $em */
        $em = $container->get('doctrine.entitymanager.orm_default');

        $service = new DbService;
        $service->setEntityManager($em);

        return $service;
    }
}